unit DateForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Grids, Calendar,DBNum, Buttons, Spin;

type
  TDtForm = class(TForm)
    Calendar: TCalendar;
    Edit1: TEdit;
    Edit2: TEdit;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure CalendarDblClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DtForm: TDtForm;

implementation
{$R *.DFM}

procedure TDtForm.FormShow(Sender: TObject);
begin
Calendar.Calendardate:= Now;
Edit1.Text:=IntToStr(Calendar.Month);
Edit2.Text:=IntToStr(Calendar.Year);
end;

procedure TDtForm.Edit1Change(Sender: TObject);
begin
Calendar.Month:=StrToInt(Edit1.Text);
end;

procedure TDtForm.Edit2Change(Sender: TObject);
begin
Calendar.Year:=StrToInt(Edit2.Text);
end;

procedure TDtForm.CalendarDblClick(Sender: TObject);
begin
TDBNum(Cname).Field.AsDateTime:=Calendar.Calendardate;
Close;
end;

procedure TDtForm.BitBtn1Click(Sender: TObject);
begin
TDBNum(Cname).Field.AsDateTime:=Calendar.Calendardate;
Close;
end;

end.
